Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453005 - pm-utils has unnecessary Requires on kbd
Summary: pm-utils has unnecessary Requires on kbd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 15:41 UTC by Chris Lalancette
Modified: 2015-03-05 01:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-26 16:17:35 UTC


Attachments (Terms of Use)
Patch to remove unnecessary kbd dependency from pm-utils (deleted)
2008-06-26 15:41 UTC, Chris Lalancette
no flags Details | Diff

Description Chris Lalancette 2008-06-26 15:41:29 UTC
Description of problem:
As part of oVirt (http://ovirt.org), we need to use hal on our embedded node
image.  The hal package pulls in pm-utils, which pulls in the kbd package. 
However, it looks like based on the ChangeLog in the top level of the source tree:

    remove sysfont wrapper call. no other distro from fedora uses it
    
    On Jan 28, 2008 11:31 AM, Dan Nicholson <dbn.lists@gmail.com> wrote:
    > On Jan 27, 2008 9:42 PM, Vasiliy G Tolstov <v.tolstov@selfip.ru> wrote:
    > > Gentoo does not have this utilities. Default gentoo init script that
    > > setting console font executes /bin/setfont
    >
    > That's because setsysfont is a Fedora specific wrapper script around
    > setfont in their initscripts package.
    >
    >
http://cvs.fedoraproject.org/repo/pkgs/initscripts/initscripts-8.60.tar.bz2/a0e888cc91ef6350a991985567d21366/initscripts-8.60.tar.bz2
    
    In that case...
    
    Patch attached to remove 60sysfont.  setsysfont is Fedora-specific,

So I think the kbd dependency is no longer needed for pm-utils.  This will save
us 2MB of disk-space, which is important since we are trying to keep the
compressed size of the node < 64MB.

Attached is a simple spec file patch to do just this.

Comment 1 Chris Lalancette 2008-06-26 15:41:29 UTC
Created attachment 310345 [details]
Patch to remove unnecessary kbd dependency from pm-utils

Comment 2 Till Maas 2008-06-26 16:17:35 UTC
pm-utils uses chvt, which is in kbd, therefore the dependency is still needed.
Maybe you can get chvt seperated from kbd, but currently I do not see a way to
get rid of the kbd dependency.

Comment 3 Till Maas 2008-07-02 08:21:47 UTC
Maybe the usage of chvt in pm-utils will be removed by upstream soon, when this
happens and the version hits Fedora, the kbd dependency will be dropped.


Note You need to log in before you can comment on or make changes to this bug.